//
// Created by main on 22-10-22.
//

#ifndef FUGG_OBJECTPROPERTY_H
#define FUGG_OBJECTPROPERTY_H

#include "../core.h"

namespace flyff {
    struct ObjectProperty {
        union {
            DEFINE_MEMBER(0, const flyff::String, model);
            DEFINE_MEMBER(12, const uint32_t, id);

            const MinimumSize<28> _size;
        };
    };
};

#endif //FUGG_OBJECTPROPERTY_H
